#menudriver {
  font-family : var(--main-site-font);
  font-size: 1rem;  
  font-weight : 400;
  position: relative;
  height: 45px;
  width: auto;
  box-sizing: content-box;
}
#menudriver ul {
  list-style: none;
  padding: 0;
  margin: 0;
  line-height: 1;
}
#menudriver > ul {
  position: relative;
  display: block;
  background : none;
  width: 100%;
  z-index: 500;
}
#menudriver:after,
#menudriver > ul:after {
  content: ".";
  display: block;
  clear: both;
  visibility: hidden;
  line-height: 0;
  height: 0;
}
#menudriver.align-right > ul > li {
  float: right;
}
#menudriver.align-center ul {
  text-align: center;
}
#menudriver.align-center ul ul {
  text-align: left;
}
#menudriver > ul > li {
  display: inline-block;
  position: relative;
  margin: 0;
  padding: 0;
}
#menudriver > ul > #mbutt {
  display: none;
}
#menudriver ul li a {
  display: block;
  text-decoration: none;
  border-radius : 4px;
}
#menudriver ul li button {
    display: block;
    text-decoration: none;
    outline: none;
    border: none;  
}

#menudriver > ul > li > button {
  font-size: 1rem;
  line-height : 1rem;
  padding: 15px 20px;
  color: var(--menubaseclr);
  background : none;
  -webkit-transition: color var(--menutranstime) ease-out;
  -moz-transition: color var(--menutranstime) ease-out;
  -ms-transition: color var(--menutranstime) ease-out;
  -o-transition: color var(--menutranstime) ease-out;
  transition: color var(--menutranstime) ease-out;
}

#menudriver > ul > li > a {
  line-height : 1rem;
  padding: 15px 20px;
  color: var(--menubaseclr);
  -webkit-transition: all var(--menutranstime) ease-out;
  -moz-transition: all var(--menutranstime) ease-out;
  -ms-transition: all var(--menutranstime) ease-out;
  -o-transition: all var(--menutranstime) ease-out;
  transition: all var(--menutranstime) ease-out;
}
#menudriver > ul > li.has-sub > a {
  padding-right: 32px;
}

#menudriver > ul > li:hover > a {

  background-color : var(--menuopthoveredbgcolor);
  color : var(--menuopthoveredfgcolor);
  border-radius : 4px;
}


#menudriver li.has-sub::after {
  display: block;
  content: "";
  position: absolute;
  width: 0;
  height: 0;
}
#menudriver > ul > li.has-sub::after {
  right: 10px;
  top: 20px;
  border: 5px solid transparent;
  border-top-color: var(--menuopthoveredbgcolor);
}
#menudriver > ul > li:hover::after { 
  border-top-color: #ffffff;
}
#indicatorContainer {
  position: absolute;
  height: 12px;
  width: 100%;
  bottom: 0px;
  overflow: hidden;
  z-index: -1;
}
#pIndicator {
  position: absolute;
  height: 0;
  width: 100%;
  border: 12px solid transparent;
  border-top-color: #2b2f3a;
  z-index: -2;
  -webkit-transition: left var(--menutranstime) ease;
  -moz-transition: left var(--menutranstime) ease;
  -ms-transition: left var(--menutranstime) ease;
  -o-transition: left var(--menutranstime) ease;
  transition: left var(--menutranstime) ease;
}
#cMarker {
  position: absolute;
  height: 0;
  width: 100%;
  border: 12px solid transparent;
  border-top-color: #2b2f3a;
  top: -12px;
  right: 100%;
  z-index: -2;
}



#menudriver > ul > li:hover > ul {
  left: auto;
  top: 45px;
  opacity: 1;
}
#menudriver.align-right > ul > li:hover > ul {
  left: auto;
  right: 0;
  opacity: 1;
}



#menudriver.align-right ul ul li a {
  text-align: right;
}
#menudriver ul ul li:hover > a {
/* hover on a non-collapsed dropdown menu.	*/
  background-color : var(--menuopthoveredbgcolor);
  color : var(--menuopthoveredfgcolor);  
 
}
#menudriver ul ul li:last-child > a,
#menudriver ul ul li.last > a {
  border-bottom: 0;
}
#menudriver > ul > li > ul::after {
  content: '';
  border: 6px solid transparent;
  width: 0;
  height: 0;
  border-bottom-color: transparent;
  position: absolute;
  top: -12px;
  left: 30px;
}
#menudriver.align-right > ul > li > ul::after {
  left: auto;
  right: 30px;
}
#menudriver ul ul li.has-sub::after {
  border: 4px solid transparent;

  right: 10px;
  top: 12px;
  -moz-transition: all var(--menutranstime) ease;
  -ms-transition: all var(--menutranstime) ease;
  -o-transition: all var(--menutranstime) ease;
  transition: all var(--menutranstime) ease;
  -webkit-transition: -webkit-transform var(--menutranstime) ease, right var(--menutranstime) ease;
}
#menudriver.align-right ul ul li.has-sub::after {
  right: auto;
  left: 10px;
}
#menudriver ul ul li.has-sub:hover::after {
  right: -5px;
  -webkit-transform: rotateY(180deg);
  -ms-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  -o-transform: rotateY(180deg);
  transform: rotateY(180deg);
}
#menudriver.align-right ul ul li.has-sub:hover::after {
  border-left-color: transparent;
  left: -5px;
  -webkit-transform: rotateY(180deg);
  -ms-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  -o-transform: rotateY(180deg);
  transform: rotateY(180deg);
}


@media all and (max-width: 1220px), 
only screen and (max-width: 1220px),
 only screen and (max-width: 1220px), 
 only screen and (max-width: 1220px), 
 only screen and (max-width: 1220px), 
 only screen and (max-width: 1220px), 
 only screen and (max-width: 1220px) {
  #menudriver {
    width: auto;
  }
  #menudriver.align-center ul {
    text-align: left;
  }
  #menudriver.align-right > ul > li {
    float: none;
  }
  #menudriver ul {
    width: auto;
    background :  var(--menuddbgclr);
    border-radius : 4px;   
  }
  #menudriver .submenuArrow,
  #menudriver #indicatorContainer {
    display: none;
  }
  #menudriver > ul {
    height: auto;
    display: block;
  max-height: 80vh;
  overflow-y: auto;
  scrollbar-width: none;    
  }
  #menudriver > ul > li {
    float: none;
    display: block;
  }
  #menudriver li,
  #menudriver > ul > li {
    display: none;
  }


  #menudriver ul ul,
  #menudriver ul ul ul,
  #menudriver ul > li:hover > ul,
  #menudriver ul ul > li:hover > ul,
  #menudriver.align-right ul ul,
  #menudriver.align-right ul ul ul,
  #menudriver.align-right ul > li:hover > ul,
  #menudriver.align-right ul ul > li:hover > ul {
    position: relative;
    left: auto;
    top: auto;
    opacity: 1;
    padding-left: 0;
    padding-right: 0;
    right: auto;
  }
  #menudriver ul .has-sub::after {
    display: none;
  }
  #menudriver ul li a {
    padding: 12px 20px;
  }
  
  
  #menudriver ul ul li a {
    border: 0;
    background: none;
    width: auto;
    padding: 8px 35px;
  }
  
  #menudriver.align-right ul ul li a {
    text-align: left;
  }
  #menudriver ul ul li:hover > a {
    background-color : var(--menuopthoveredbgcolor);
    color : var(--menuopthoveredfgcolor);
  }
 
  #menudriver > ul > #mbutt {
    display: block;
    cursor: pointer;
  }


  #menudriver #mbutt > a {
    padding: 14px 20px;

  }



  
  #menudriver ul.open li,
  #menudriver > ul.open > li {
    display: block;
    border-top : 1px solid transparent;
  }
  
  #menudriver > ul.open
  {

      padding : 5px;
      top : -2px;
      right : -1px;
  }
  
  #menudriver > ul.open > li#mbutt > a {
    color: #fff;
    border-bottom: #c0c0c0;
  }
  #menudriver ul ul::after {
    display: none;
  }
  #menudriver #mbutt::after {
    display: block;
    content: '';
    position: absolute;
    height: 3px;
    width: 24px;
    border-top: 2px solid #808080;
    border-bottom: 2px solid #808080;
    right: 21px;
    top: 15px;
    box-sizing: content-box;

  }
  #menudriver #mbutt::before {
    display: block;
    content: '';
    position: absolute;
    height: 3px;
    width: 24px;
    border-top: 2px solid #808080;
    right: 21px;
    top: 25px;
    box-sizing: content-box;
  }
  
  

    
  #menudriver ul.open #mbutt::after,
  #menudriver ul.open #mbutt::before {
    border-color: none;
    background : none;   
  }

  
  
#menudriver > ul > li:hover > a 
{
/* color of the on hover mainmenu items on full screen
 gets rid of bg if screen is small as we are in a MQ here
   border-radius : 0px; */
}
}